## eboard 0.9.5

=== Documentation/Makefile ===

DOCS = Makefile FICS-Timeseal.txt GNUChess5.txt Sjeng.txt Crafty.txt GNUChess4.txt Scripts.txt Themes.txt

dist:
	cp -f $(DOCS) ../$(DIST)/Documentation

## eboard 1.0.3-9-maemo1

=== debian/changelog ===
eboard (1.0.3-9-maemo1) unstable; urgency=low

  * Initial port to OS2008 DIABLO.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 19 May 2007 17:41:08 +0200

eboard (1.0.3-9) unstable; urgency=low

  * Initial Release.

 -- unknown <bergo@seul.org>  Sat, 19 May 2007 17:41:08 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: eboard
Section: user/games
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev
Standards-Version: 3.6.1

Package: eboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chess User Interface

## eboard 1.0.3-9-maemo2

=== debian/changelog ===
eboard (1.0.3-9-maemo2) stable; urgency=low

  * Bug fixes.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 18 Nov 2009 17:41:08 +0200

## eboard 1.0.3-9-maemo3

=== debian/changelog ===
eboard (1.0.3-9-maemo3) stable; urgency=low

  * Clean up GUIs

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 03 Feb 2010 17:41:08 +0200

=== debian/control ===
Source: eboard
Section: user/games
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libesd0-dev
Standards-Version: 3.6.1

Package: eboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chess User Interface
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QsIFigK7qJm
 zwAABU9JREFUSMedlc9PXNcVxz/3vpkp9gADdgEPk4mcSAltRGUZCasIyZWs
 elWJbipLXdTdeOHOLpbljb2ILLzxn2Fl4Y0tVRHd2HKCqCy3+AeiaXAgmJ+G
 GMwYmHnM+3HvuV08TBgDSdQjPenpvXvP937P+Z7vVVprxz6Rb21ioO8TPE+B
 AxHBirBei/jzn/oJopgoNARRzFYYEwQRYWj5/ItHTC+s7smn9wPRStHzUSe/
 SGlSniKVUuiURmuN9ra/aY3WClDo7Qfgj2dO0JRt2JPTU0p9tvtDytP87jcf
 8Ov320hpjeep7RTwerPG+PQSf//qP0zNrdCay5JrasAawTghNoKIgIPZl2t1
 QKl3kdtyWX71fjsKhdYKpUBpWHy9ydC/v2UrjAGYXy7z5L9zfPrX39N2pDk5
 tVYopWhtzpJOecTG7l86TytOfJhPeoJDxOEcrG5s8Y/RyR2Qt1HdCvnyX9+i
 FDhHsl4c73W00Np8+GBGrU2HKbTlcM4hDiyCs4pNP8QPov3ayfz3ZaxNyuUc
 kGhnT9QBOQehOByCsh4eDpTjnxPzHBRBEPPN1CKRsUSRJYpiotgSRqZundot
 72t/+wM9nxRJpzzSKQ/tJVqyIsSxxRjh8ddzfDexSGQt1iaSF+cwVoiMwViH
 McLXc6/qqlDHSAHGOpQSFGrnp9tVC08Ep0GLQlSyR1zSTxw4cbh9ilcHFMeW
 KDKIaKwWdKx5u81JcurQOqwVjLWIOKw4rHXJQFuHc44oTpgeCBRZSxDGpK1H
 rEB5msnZV3zx5ThsC6RSDdjyA5xLkjrYeU9IOaLYErzTo3pGUbLAiuzM0Wq5
 wrNvDhbDz426ORqfXCQIY/wgohbGBKHhaEsjLe/MxO7oPNJEtiHzk0B1jL6b
 XyEIIzxPJ96loLmxgRNdBYZHp/ZsPn6slcLRZkQEIw5jLIuvNylXtrDiDvY6
 vxZypCVLS+PhHclaIxTzR7DiWFguA3C4IUOxLUe+tWlbJC4Rh3WE1rLhh3sO
 pd69JvJtOf4y8FuU+kHyDjBWeLPhM79UZvNNFU8rREhUJxYrQhBZZl69qfO4
 A907CGNSnsfRXGPCyArGCCKOVCpFrRbiVwOMTWbHuoR1LTLMrqzvC7Kvexsr
 fDU6iRVH1/EO9LZ3vaUdxgZjBOsEcYKxjiCKWXy9eSDIvqXbHR8fb+fEx++R
 Sae2LzlY/P4Na6sbWJdYU7myxXo1IPoRkJ8EehvZQxmOF36ZCMYP8LdCalFM
 tRb97DlS1Wp1D5CIMDQ0RG9vL8eOHfu/BnR2dpapqSnOnj2biGFwcPCzdDpN
 rVZjeHgY3/fJ5/OcO3eOrq4uAAqFAi9evODRo0c0NjbS0dHBkydPGBsbo6mp
 iXK5zMzMDEtLS2itGR0dZWhoiEqlwpkzZ8hkMokzWGu5evUq9+7d49q1a4yO
 jrK2tsbk5CSXLl3iwYMHXLlyhefPn3P+/Hmmp6e5ffs29+/f5/Lly9y6dYsb
 N26wsrJCqVRibGyMO3fu0N3dXW9Bq6urjIyM4Ps+nufx8OFD+vr6KJVKiAjD
 w8N0d3dz8eJFlpeXefnyJSKC7/scOnSIhYUFSqUSmUyGQqHAhQsX6OzspFgs
 1gO1tLRQLBZpb2+nr68PrTUzMzNcv36dkydPcurUKZ4+fcrNmzcZGBjg7t27
 1Go11tbW6OzspFqt0tPTQy6XY2JigsHBQYwx5PP5H8QgkpjS0tIS4+PjdHd3
 s76+TjqdZm5ujtOnT5PJZHj27BmVSoX+/n6q1SqPHz8ml8uRzWbZ2Nigv78f
 gJGRkaQnWtPb27sD9D/XggcO2u9VVgAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/scratchbox/tools/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --extra-flags=-DMAEMO


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/eboard.sgml > eboard.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/eboard.
#	$(MAKE) install prefix=$(CURDIR)/debian/eboard/usr
	$(MAKE) install DESTDIR=$(CURDIR)/debian/eboard/


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## eboard 1.1.1

=== debian/changelog ===
eboard (1.1.1-6) unstable; urgency=low

  * debian/patches/96_ubuntu_gcc_4.6.dpatch: Added, thanks to Daniel T Chen
  * Set debhelper compatibility to 9
  * eboard.desktop: Add German translation, thanks to Ronny Standtke
    (Closes: #667650)
  * Build with -fsigned-char to fix a freeze on PowerPc (Closes: #731384)
  * Standards-Version 3.9.5
  * Build with hardening flags: Update 90_respect_deb_build_options.dpatch and
    91_fix_ftbfs_554315.dpatch to respect CXXFLAGS, CPPFLAGS and LDFLAGS

 -- Vincent Legout <vlegout@debian.org>  Wed, 01 Jan 2014 07:47:58 +0100

eboard (1.1.1-5) unstable; urgency=low

  * New maintainer (Closes: #648340)
  * debian/rules: Rewrite using dh
    - debian/clean: Added
  * Use 3.0 (quilt) source format, add debian/source/format
  * Use quilt instead of dpatch:
    - Rename debian/patches/00list to debian/patches/series
    - Add DEP-3 headers
  * debian/dirs: Only /usr/games/ is needed
  * debhelper 8:
    - Bump debian/compat
    - Update debhelper Build-Depends
  * debian/control:
    - Add ${misc:Depends}
    - Drop Build-Depends on dpatch and g++ (g++ 3.2.2 was released in 2003)
    - Use Breaks plus Replaces instead of Conflicts
    - Standards-Version 3.9.2
  * debian/copyright: Explicitly refer to the GPL-2 license
  * Drop debian/patches/02_add_desktop_entry.dpatch:
    - Add debian/eboard.desktop and install it with debian/eboard.install
    - Rename icon-eboard.xpm to eboard.xpm and install it to
      /usr/share/pixmaps. Clean eboard.xpm after
  * Drop debian/patches/90_use_debian_crafty_books.dpatch. crafty's book.bin
    is now located in /usr/share/crafty

 -- Vincent Legout <vlegout@debian.org>  Mon, 02 Jan 2012 20:19:13 +0100

eboard (1.1.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/91_fix_ftbfs_554315.dpatch: Closes: #554315.
  * Fixed spelling-error-in-description resizeable resizable.

 -- Bart Martens <bartm@debian.org>  Sun, 02 Oct 2011 14:04:13 +0200

eboard (1.1.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/95_ubuntu_gcc_4.4.dpatch added, fixes FTBFS "invalid
    conversion from 'const char*' to 'char*'", thanks to Fabrice
    Coutadeur from Ubuntu for the patch (Closes: #551718)

 -- David Paleino <dapal@debian.org>  Sun, 20 Dec 2009 14:44:06 +0100

eboard (1.1.1-4) unstable; urgency=low

  * Correct error in French translation (Simon Valiquette)

 -- Patrik Fimml <patrik@fimml.at>  Sun, 01 Feb 2009 12:33:19 +0100

eboard (1.1.1-3) unstable; urgency=low

  * Make eboard use crafty opening books in /var/lib/crafty (closes: #161497)
  * Fix sox sound playback (closes: #487782)
  * Compile with char defaulting to signed on all platforms (-fsigned-char,
    closes: #512366)
  * Fix French and Hungarian translations (Simon Valiquette)

 -- Patrik Fimml <patrik@fimml.at>  Sat, 31 Jan 2009 14:57:39 +0100

eboard (1.1.1-2) unstable; urgency=low

  * Fix data prefix to be /usr/share/games instead of
    /usr/share/games/eboard

 -- Patrik Fimml <patrik@fimml.at>  Fri, 06 Jun 2008 18:39:25 +0200

eboard (1.1.1-1) unstable; urgency=low

  * New upstream release (closes: #427434)
  * New maintainer (closes: #483054)
  * Suggest eboard-extras-pack2

  * Move eboard-addtheme to /usr/bin,
    revert manpage section accordingly

  * Add .desktop entry (closes: #478882)
    The entry still lacks proper localization.

 -- Patrik Fimml <patrik@fimml.at>  Tue, 27 May 2008 20:40:58 +0200

eboard (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon, 22 Jan 2007 20:00:05 -0800

eboard (1.0.2-1) unstable; urgency=low

  * New upstream release
  
  * Correct the stupid mistake I made in setting $datadir and test outside
    the build directory this time (otherwise the program cleverly finds
    the data files in its source directory and starts just fine!).
    Closes: #407084.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 15 Jan 2007 21:02:37 -0800

eboard (1.0.1-1) unstable; urgency=low

  * New upstream release
  
  * Acknowledge NMU (Closes: #356646)
  
  * eboard-extras has been removed from the archive for a long time now,
    so there's no need to suggest it any more. (Closes: #254306)
  
  * In the words of upstream, there are "many bugfixes".  I will try to
    reverify old bugs as I have time, but bug submitters should feel
    free to close their bugs on their own if this release fixes them.

 -- Daniel Burrows <dburrows@debian.org>  Mon,  8 Jan 2007 10:37:57 -0800

eboard (0.9.5-6.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Declare friend functions. (Closes: 356646)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 23:05:25 +0200

eboard (0.9.5-6) unstable; urgency=low

  * Recompile against gdk-imlib11-dev and update Build-Depends.

  * Update FSF address in copyright file.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Oct 2005 11:17:00 -0700

eboard (0.9.5-5) unstable; urgency=low

  * Fix g++-4.0 compilation. (Closes: #297565)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  9 Aug 2005 14:21:20 -0700

eboard (0.9.5-4) unstable; urgency=low

  * Patch configure to change the OTHER, SEPARATE definition of datadir
    to also be /usr/share/games (Closes: #258615)

 -- Daniel Burrows <dburrows@debian.org>  Wed,  7 Jul 2004 21:52:44 -0400

eboard (0.9.5-3) unstable; urgency=low

  * Delete Makefile.bloat.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 24 May 2004 15:19:44 -0400

eboard (0.9.5-2) unstable; urgency=low

  * Just give in and patch "configure", since it is apparently impossible
    to cleanly override its default (wrong) assumptions.
    (Closes: #250681)
  
  * Fix the section of eboard-addtheme(6, not 1)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 24 May 2004 13:40:14 -0400

eboard (0.9.5-1) unstable; urgency=low

  * New upstream release

  * Upstream dropped autotools for a less powerful homegrown configure;
    rewrote debian/rules to compensate.
  


=== debian/control ===
Source: eboard
Section: games
Priority: optional
Homepage: http://www.bergo.eng.br/eboard/
Maintainer: Vincent Legout <vlegout@debian.org>
Build-Depends: debhelper (>= 9), libgtk2.0-dev
Standards-Version: 3.9.5

Package: eboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sox, xfonts-75dpi
Breaks: eboard-extras-pack1 (<< 2-1)
Replaces: eboard-extras-pack1 (<< 2-1)
Suggests: gnuchess | crafty, eboard-extras-pack1
Description: GTK+ chessboard program
 eboard is a graphical chess program which can function as an interface to
 Internet chess servers such as FICS and to chess engines such as Crafty.
 .
 eboard has a themeable and freely resizable board, a tabbed or multi-window
 display, and supports multiple simultaneous boards.
 .
 This package contains a chess interface, which means that you can play against
 another human on the same computer, or play on an Internet server.  If you
 would like to play against a computer, you should install a chess engine such
 as gnuchess in addition.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=-format

include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CXXFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--data-prefix=/usr/share/games \
		--man-prefix=/usr/share/man \
		--extra-flags=-fsigned-char

override_dh_auto_install:
	cp -f icon-eboard.xpm eboard.xpm
	dh_auto_install
	mv debian/eboard/usr/bin/eboard debian/eboard/usr/games/eboard

=== debian/watch ===
version=3

http://sf.net/eboard/eboard-(\d.*)\.tar\.(?:gz|bz2)

## eboard 1.1.3

=== multilang/Makefile ===

LANGS   = cs de es fr hu it ja pl pt_BR zh_CN
POCOMP  = ./pocomp.pl
HARVEST = ./harvest.pl

DICTS  = eboard.cs.dict eboard.de.dict eboard.es.dict eboard.fr.dict eboard.hu.dict eboard.it.dict eboard.ja.dict eboard.pl.dict eboard.pt_BR.dict eboard.zh_CN.dict

dicts: $(DICTS)

%.dict : %.po
	$(POCOMP) < $< > $@

update:
	$(HARVEST)

# all targets below this point should be called from the parent directory's
# Makefile, or the vars they use will have bogus values

install-nls: $(DICTS)
	$(INSTALL) -d $(datadir)
	$(INSTALL) -m 0644 $(DICTS) $(datadir)

uninstall-nls:
	for p in $(DICTS); do rm -f $(datadir)/$$p ; done

EXTRADIST = README Makefile pocomp.pl harvest.pl harvest.in eboard.hemp eboard.cs.po eboard.de.po eboard.es.po eboard.fr.po eboard.hu.po eboard.it.po eboard.ja.po eboard.pl.po eboard.pt_BR.po

dist: $(DICTS)
	cp -f $(DICTS) $(EXTRADIST) ../$(DIST)/multilang

=== extras/pack1/Makefile ===

DATAFILES = Alpha.png Diagram.png Kingdom.png Slics.png WCN.png \
            Book.png Dyche1.png Leipzig.png Staunton.png Yahoo.png \
            Chap.png Dyche2.png Mayan.png Traveler.png \
            ChessBase.png Enquil.png OldClassicDark.png Usual.png \
            Cmf.png Jumbo.png Rastapov.png Vision.png \
            Draw1.wav Move1.wav Tell1.wav themeconf.extras1

INSTALL = /usr/bin/install
RMF     = /bin/rm -f 

install:
	if [ -d $(DATADIR) ]; then for p in $(DATAFILES); do $(INSTALL) -m 0644 $$p $(DATADIR)/$$p ; done ; fi

uninstall:
	for p in $(DATAFILES); do if [ -f $(DATADIR)/$$p ] ; then $(RMF) $(DATADIR)/$$p ; fi ; done

=== extras/pack2/Makefile ===


DATAFILES = Adventurer.png Altinov.png Berlin.png Dominical72.png \
Ebony.png Harlequin.png Lcd.png NutBolt.png Primepov.png SadGreen.png \
Utretch.png Whitney.png \
Beat1.wav  Beat2.wav  Boing1.wav Challenge1.wav Cling1.wav GameOver1.wav \
Tick1.wav ShallWePlay.wav Victory1.wav Voosh.wav themeconf.extras2

INSTALL = /usr/bin/install
RMF     = /bin/rm -f 

install:
	if [ -d $(DATADIR) ]; then for p in $(DATAFILES); do $(INSTALL) -m 0644 $$p $(DATADIR)/$$p ; done ; fi

uninstall:
	for p in $(DATAFILES); do if [ -f $(DATADIR)/$$p ] ; then $(RMF) $(DATADIR)/$$p ; fi ; done

=== debian/changelog ===
eboard (1.1.3-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC (Closes: #1059392).
  * Flag in d/control that no root is needed during build.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 30 May 2024 07:18:38 +0200

eboard (1.1.3-2) unstable; urgency=medium

  * QA upload.
  * Drop binary package eboard. (Closes: #967324)
  * Set Section: net, where zseal fits.
  * Update to debhelper-compat 13.
  * Drop unused lintian-overrides.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 20:21:10 +0200

eboard (1.1.3-1) unstable; urgency=medium

  * QA upload.
  * Extract zseal to its own package. (Closes: #966648)
  * Clean zseal. (Closes: #1044334)
  * Remove Makefile from installed docs.

 -- Bastian Germann <bage@debian.org>  Sun, 03 Sep 2023 21:00:09 +0000

eboard (1.1.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for segfault on engine selection,
    thanks to Eric Cooper and Bernhard Übelacker. (Closes: #962627)

 -- Adrian Bunk <bunk@debian.org>  Sat, 17 Jul 2021 21:48:28 +0300

eboard (1.1.3-0.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.

  [ Logan Rosen ]
  * d/p/ld-as-needed.patch: Add libraries to LIBS instead of LDFLAGS to fix
    FTBFS with ld --as-needed (Closes: #916502, #925671).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2019 15:17:10 +0200

eboard (1.1.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Breaks and Replaces for eboard-extras-pack1 because
    the extra pack is included in eboard now. (Closes: #913011)

 -- Markus Koschany <apo@debian.org>  Tue, 06 Nov 2018 13:05:34 +0100

eboard (1.1.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.1.3
    - Fix stack smashing. (Closes: #893167)
  * Drop deprecated menu file. (Closes: #737863)
  * Update debian/watch and track new releases at github.com (Closes: #890673)
  * Use secure Homepage URI.
  * Remove sox recommendation and drop 03_fix_sound.dpatch because
    sox is no longer required for sound. (Closes: #599655)
  * Drop all old patches except of the translation patches and
    90_respect_deb_build_options.patch.
  * Rebase translation patches.
  * Install desktop icon into hicolor directory.
  * Build-depend on libgstreamer1.0-dev.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Oct 2018 21:09:01 +0100

eboard (1.1.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16 (Closes: #741990)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 15:59:37 +0200

=== debian/control ===
Source: eboard
Section: net
Priority: optional
Homepage: https://www.bergo.eng.br/eboard/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/eboard
Vcs-Git: https://salsa.debian.org/debian/eboard.git
Rules-Requires-Root: no

Package: zseal
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: eboard (<< 1.1.3-1),
Replaces: eboard (<< 1.1.3-1),
Description: Timeseal v2 implementation zseal (from eboard)
 Timeseal v2 protocol implementation that stems from eboard. Timeseal is a
 protocol for network lag reporting and compensation used by the FICS chess
 server.
 .
 This can be used with xboard.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# Empty. The only built program is zseal
	# which does not need much configuration.

override_dh_auto_build:
	$(CC) $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) zseal.c -o zseal

override_dh_auto_install:
	# Empty. Install via dh_install.
